Subject: Regenerating testsuite-part.am when a new test case is added

From: Reuben Thomas <[email-masked]>
Date: Thu, 5 Nov 2020 01:39:47 +0000

Or, bug #11347 again.

I just spent quite a while chasing down a test failure that was due to
testsuite-part.am not being remade when new tests were added.

I duly found bug #11347, which contains a rationale for not having
testsuite-part.am depend on all the tests.

However, the rationale doesn't seem to explain the reason for removing the
dependency on the *list* of tests. In particular, without depending on
list-of-tests.mk, the dependencies of new tests are not extracted
automatically, and so tests that depend on other tests can be run in the
wrong order (this was exactly my case: I had two new tests that both
depended on pkg-config).

Could the dependency of testsuite-part.am on list-of-tests.mk be reinstated?
-- 
https://rrt.sc3d.org